.main-container {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  margin-top: 20px;
}

.left-container {
  flex: 1;
  margin-right: 20px;
}

.right-container {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.question-container {
  display: flex;
  flex-direction: column;
  gap: 10px;
  align-items: flex-start;
}

.answer-container {
  display: flex;
  gap: 10px;
  align-items: center;
}

.hex-conversion-container {
  display: flex;
  gap: 10px;
  align-items: center;
}

.question-text {
  font-size: 18px;
  font-weight: bold;
}

.answer-input {
  padding: 5px;
  font-size: 16px;
  width: 100px;
}

.red-button {
  background-color: rgb(240, 96, 96);
  border-color: rgb(240, 96, 96);
}

.green-button {
  background-color: rgb(67, 158, 122);
  border-color: rgb(67, 158, 122);
}

.hex-input {
  padding: 5px;
  font-size: 16px;
  width: 150px;
}

#answerField {
  height: 100%;
  width: 200px;
}

#feedbackField {
  height: 100%;
  width: 400px;
}

.ascii-table-container {
  margin-top: 20px;
  font-family: monospace;
}

.toggle-button {
  background-color: #f0f0f0;
  color: #333;
  border: 1px solid #ccc;
  padding: 5px 10px;
  cursor: pointer;
  font-size: 14px;
  border-radius: 4px;
}

.toggle-button:hover {
  background-color: #e0e0e0;
}

.ascii-table {
  margin-top: 10px;
  display: grid;
  gap: 5px;
}

.ascii-row {
  display: flex;
  gap: 10px;
}

.ascii-cell {
  padding: 2px 4px;
  border: 1px solid #ccc;
  text-align: center;
  font-size: 14px;
}

.configInput:disabled {
  color: #bbb;
}

#ratingSlider {
  width: 80%;
  -webkit-appearance: none;
  appearance: none;
  height: 5px;
  background: #ddd;
  outline: none;
  opacity: 0.9;
  transition: opacity 0.2s;
}

#ratingSlider:hover {
  opacity: 1;
}

#ratingSlider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 15px;
  height: 15px;
  background: #2c3e50;
  cursor: pointer;
  border-radius: 50%;
}

#ratingSlider::-moz-range-thumb {
  width: 15px;
  height: 15px;
  background: #2c3e50;
  cursor: pointer;
  border-radius: 50%;
}

#ratingValue {
  display: inline-block;
  width: 40px; /* Fixed width to accommodate negative numbers */
  text-align: center;
}
